Google Pay

Enroll an entity to the Google Pay Service

Enroll an entity to the Google Pay Service.

You must accept the Google terms of service to use this feature.

Body·
application/json
Responses
  • application/json
  • 401

    Unauthorized.

  • application/json
  • 500

    Internal server error.

Request Example for post/googlepay/enrollments
curl 'https://{prefix}.api.checkout.com/googlepay/enrollments' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "entity_id": "ent_uzm3uxtssvmuxnyrfdffcyjxeu",
  "email_address": "test@gmail.com",
  "accept_terms_of_service": true
}'
{
  "merchant_id": "01234567890123456789",
  "tos_accepted_time": "2014-10-02T15:01:23Z",
  "state": "ACTIVE"
}

Register a web domain for an enrolled entity

Associates a web domain with the specified enrolled entity.

Path Parameters
  • entity_id
    Type: string
    required

    Unique identifier of the entity.

Body·
application/json
  • web_domain
    Type: string Format: hostname
    required

    The web domain to register for an actively enrolled entity.

Responses
  • 204

    Domain registered successfully (no content).

  • 401

    Unauthorized.

  • 404

    Entity not found.

  • application/json
  • 500

    Internal server error.

Request Example for post/googlepay/enrollments/{entity_id}/domain
curl 'https://{prefix}.api.checkout.com/googlepay/enrollments/{entity_id}/domain' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "web_domain": "some.example.com"
}'
No Body

Get registered domains for an entity

Retrieves all web domains registered for the specified entity.

Path Parameters
  • entity_id
    Type: string
    required

    Unique identifier of the entity.

Responses
  • application/json
  • 401

    Unauthorized.

  • 404

    Entity was not found or no domains are registered.

  • 500

    Internal server error.

Request Example for get/googlepay/enrollments/{entity_id}/domains
Shell Curl
curl 'https://{prefix}.api.checkout.com/googlepay/enrollments/{entity_id}/domains' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "domains": [
    "example.com"
  ]
}

Get enrollment state

Returns the current enrollment state of an entity.

Path Parameters
  • entity_id
    Type: string
    required

    Unique identifier of the entity.

Responses
  • application/json
  • 401

    Unauthorized.

  • 404

    Entity not found.

  • 500

    Internal server error.

Request Example for get/googlepay/enrollments/{entity_id}/state
Shell Curl
curl 'https://{prefix}.api.checkout.com/googlepay/enrollments/{entity_id}/state' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "state": "ACTIVE"
}